# Note that the required m4 version rules out 2.69 on epel6 and rules
# out this version on epel5.

Summary:    A GNU tool for automatically configuring source code
Name:       autoconf268
Version:    2.68
Release:    2%{?dist}
License:    GPLv3+ and GFDL
Group:      Development/Tools
Source:     http://ftp.gnu.org/gnu/autoconf/autoconf-%{version}.tar.bz2
URL:        http://www.gnu.org/software/autoconf/
BuildRequires:      m4 >= 1.4.7, emacs
Requires:           m4 >= 1.4.7
# to get Emacs files
Requires:           autoconf
Requires(post):     /sbin/install-info
Requires(preun):    /sbin/install-info
BuildArch: noarch

%filter_from_provides /perl(Autom4te/d
%filter_from_requires /perl(Autom4te/d
%filter_setup

# program suffix
%global shortn 268

%description
GNU Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and
would like to create shell scripts that configure your source code
packages. If you are installing Autoconf, you will also need to
install the GNU m4 package.

Note that the Autoconf package is not required for the end-user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

This provides a more recent version with program suffix "%{shortn}", e.g.
autoconf%{shortn}, for building packages that need it.

%prep
%setup -q -n autoconf-%{version}

%build
# use ./configure here to avoid copying config.{sub,guess} with those from the
# rpm package
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
  --bindir=%{_bindir} --datadir=%{_datadir}/%{name} --libdir=%{_libdir} --program-suffix=%{shortn}
make #  %{?_smp_mflags}  The Makefile is not smp safe.

%check
# "205. parallel autotest and signal handling" fails
make check VERBOSE=yes || true

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%_infodir/autoconf.info $RPM_BUILD_ROOT%_infodir/autoconf%{shortn}.info

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/autoconf%{shortn}.info %{_infodir}/dir || :

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/autoconf%{shortn}.info %{_infodir}/dir || :
fi

%files
%{_bindir}/*
%{_infodir}/autoconf%{shortn}.info*
# don't include standards.info, because it comes from binutils...
%exclude %{_infodir}/standards*
%{_datadir}/autoconf%{shortn}/
# use the default version
%exclude %{_datadir}/emacs/site-lisp/
%{_mandir}/man1/*
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO

%changelog
* Wed Mar 11 2015 Dave Love <d.love@liverpool.ac.uk> - 2.68-2
- Spec cosmetic changes
- Run checks, but don't stop on the failure

* Sun Feb 22 2015 Dave Love <d.love@liverpool.ac.uk> - 2.68-1
- Initial packaging
